## ocfs2-tools 1.4.1

=== Makefile ===
TOPDIR = .
 
include $(TOPDIR)/Preamble.make

RPM_TOPDIR = $(CURDIR)

RPMBUILD = $(shell /usr/bin/which rpmbuild 2>/dev/null || /usr/bin/which rpm 2>/dev/null || echo /bin/false)

SUSEBUILD = $(shell if test -r /etc/SuSE-release; then echo yes; else echo no; fi)

PYVERSION = $(shell echo $(pyexecdir) | sed -e 's/.*python\([0-9]\.[0-9]\).*/\1/')

ifeq ($(SUSEBUILD),yes)
PYGTK_NAME = python-gtk
CHKCONFIG_DEP = aaa_base
COMPILE_PY = 0
else
PYGTK_NAME = pygtk2
CHKCONFIG_DEP = chkconfig
COMPILE_PY = 1
endif

SUBDIRS = include libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image listuuid sizetest extras patches

ifdef BUILD_OCFS2CONSOLE
SUBDIRS += ocfs2console
endif

SUBDIRS += vendor

PKGCONFIG_SOURCES =	\
	o2cb.pc.in	\
	o2dlm.pc.in	\
	ocfs2.pc.in
PKGCONFIG_FILES = $(patsubst %.pc.in,%.pc,$(PKGCONFIG_SOURCES))

DEBIAN_FILES =					\
	debian/README.Debian			\
	debian/changelog			\
	debian/compat				\
	debian/control				\
	debian/copyright			\
	debian/ocfs2-tools.config		\
	debian/ocfs2-tools.docs			\
	debian/ocfs2-tools.install		\
	debian/ocfs2-tools.manpages		\
	debian/ocfs2-tools.postinst		\
	debian/ocfs2-tools.postrm		\
	debian/ocfs2-tools.templates		\
	debian/ocfs2console.install		\
	debian/ocfs2console.manpages		\
	debian/ocfs2-tools-static-dev.install	\
	debian/rules

DIST_FILES = \
	COPYING					\
	CREDITS					\
	MAINTAINERS				\
	README					\
	README.O2CB				\
	Config.make.in				\
	Preamble.make				\
	Postamble.make				\
	aclocal.m4				\
	blkid.m4				\
	glib-2.0.m4				\
	mbvendor.m4				\
	python.m4				\
	pythondev.m4				\
	runlog.m4				\
	config.guess				\
	config.sub				\
	configure				\
	configure.in				\
	install-sh				\
	mkinstalldirs				\
	rpmarch.guess				\
	svnrev.guess				\
	Vendor.make				\
	vendor.guess				\
	documentation/ocfs2_faq.txt		\
	documentation/users_guide.txt		\
	documentation/samples/cluster.conf	\
	$(PKGCONFIG_SOURCES)			\
	$(DEBIAN_FILES)

DIST_RULES = dist-subdircreate

.PHONY: dist dist-subdircreate dist-bye dist-fresh distclean

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/documentation/samples
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/debian

dist-bye:
	-rm -rf $(DIST_TOPDIR)

dist-fresh: dist-bye
	$(TOPDIR)/mkinstalldirs $(DIST_TOPDIR)

dist: dist-fresh dist-all
	GZIP=$(GZIP_OPTS) tar chozf $(DIST_TOPDIR).tar.gz $(DIST_TOPDIR)
	$(MAKE) dist-bye

distclean: clean
	rm -f Config.make config.status config.cache config.log $(PKGCONFIG_FILES)

INSTALL_RULES = install-pkgconfig

install-pkgconfig: $(PKGCONFIG_FILES)
	$(SHELL) $(TOPDIR)/mkinstalldirs $(DESTDIR)$(libdir)/pkgconfig
	for p in $(PKGCONFIG_FILES); do \
	  $(INSTALL_DATA) $$p $(DESTDIR)$(libdir)/pkgconfig/$$p; \
        done


include Vendor.make

def:
	@echo $(TOOLSARCH)

include $(TOPDIR)/Postamble.make

=== fsck.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = fsck.ocfs2

INCLUDES = -I$(TOPDIR)/include -Iinclude
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

ifndef OCFS2_DYNAMIC_FSCK
LDFLAGS += -static
endif

CFILES =	fsck.c		\
		dirblocks.c 	\
		dirparents.c 	\
		extent.c 	\
		icount.c 	\
		journal.c 	\
		pass0.c 	\
		pass1.c 	\
		pass2.c 	\
		pass3.c 	\
		pass4.c 	\
		problem.c 	\
		strings.c 	\
		util.c

HFILES = 	include/fsck.h		\
		include/dirblocks.h	\
		include/dirparents.h	\
		include/extent.h	\
		include/icount.h	\
		include/journal.h	\
		include/pass0.h		\
		include/pass1.h		\
		include/pass2.h		\
		include/pass3.h		\
		include/pass4.h		\
		include/problem.h	\
		include/strings.h	\
		include/util.h


OBJS = $(subst .c,.o,$(CFILES))
MANS = fsck.ocfs2.8 fsck.ocfs2.checks.8

DIST_FILES = $(CFILES) $(HFILES) $(addsuffix .in,$(MANS))
DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

fsck.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

$(OBJS): prompt-codes.h

# make it hard to add a prompt call
# without documenting what it does
prompt-codes.h: fsck.ocfs2.checks.8.in
	@echo generating $@ by parsing $^
	@rm -f .$@.tmp
	@(	echo '#ifndef __PROMPT_CODES_H__';			\
		echo '#define __PROMPT_CODES_H__';			\
		for a in `grep '^.SS ".*"' $^ | awk -F\" '{print $$2}'`; do\
			echo '#define PR_'$$a' \';			\
			echo '	(struct prompt_code){ .str = "'$$a'" }';\
		done;							\
		echo '#endif';						\
	 ) > $@

.PHONY: check-prompt-dups
check-prompt-dups: fsck.ocfs2
	@rm -f .$@.tmp
	@nm $^ | \
		awk -F'[ .]' '/fsck_prompt_callers_with_code/ {print $$3}' | \
		sort | uniq -c | awk '($$1 > 1){print $$0}' > .$@.tmp
	@cat .$@.tmp
	@test ! -s .$@.tmp

CLEAN_RULES += o2fsck-clean
.PHONY: o2fsck-clean
o2fsck-clean:
	rm -f prompt-codes.h

include $(TOPDIR)/Postamble.make

=== include/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SUBDIRS = ocfs2-kernel o2dlm o2cb ocfs2

include $(TOPDIR)/Postamble.make

=== libocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

INCLUDES = -I$(TOPDIR)/include

LIBRARIES = libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

CFLAGS += -fPIC

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(DEBUG_EXE_PROGRAMS)

debug_%.o : %.c 
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_%: debug_%.o libocfs2.a $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(COM_ERR_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS)

endif

CFILES = 		\
	alloc.c		\
	bitmap.c	\
	bitops.c	\
	cached_inode.c	\
	chain.c		\
	chainalloc.c	\
	checkhb.c	\
	closefs.c	\
	dirblock.c	\
	dir_iterate.c	\
	dir_scan.c	\
	dlm.c		\
	fileio.c	\
	freefs.c	\
	expanddir.c	\
	extend_file.c	\
	extents.c	\
	extent_map.c	\
	getsectsize.c	\
	getsize.c	\
	heartbeat.c	\
	inode.c		\
	inode_scan.c	\
	ismounted.c	\
	kernel-rbtree.c	\
	link.c		\
	lookup.c	\
	memory.c	\
	mkjournal.c	\
	namei.c		\
	newdir.c	\
	openfs.c	\
	slot_map.c	\
	sysfile.c	\
	truncate.c	\
	unix_io.c	\
	unlink.c	\
	lockid.c	\
	backup_super.c	\
	feature_string.c\
	image.c

HFILES =		\
	bitmap.h	\
	dir_iterate.h	\
	dir_util.h	\
	dlm.h		\
	extent_map.h

HFILES_GEN = ocfs2_err.h

OBJS = $(subst .c,.o,$(CFILES)) \
	ocfs2_err.o

$(OBJS): $(HFILES_GEN)

ocfs2_err.c ocfs2_err.h: ocfs2_err.et
	compile_et ocfs2_err.et

libocfs2.a: $(OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

DIST_FILES = $(CFILES) $(HFILES) ocfs2_err.et

CLEAN_RULES = clean-err

clean-err:
	rm -f ocfs2_err.c ocfs2_err.h

include $(TOPDIR)/Postamble.make

=== ocfs2_controld/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)

ifneq ($(BUILD_CMAN_SUPPORT),)
SBIN_PROGRAMS = ocfs2_controld.cman
UNINST_PROGRAMS = test_client
endif

INCLUDES = -I$(TOPDIR)/include -I.
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a
LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a
OPENAIS_LIBS = $(CPG_LDFLAGS) -lcpg -lSaCkpt

ifdef OCFS2_DEBUG
OPTS += -ggdb
else
OPTS += -O2
endif

CFLAGS := $(OPTS) -Wall -Wstrict-prototypes -Wmissing-prototypes \
	  -Wmissing-declarations

DEFINES = -DOCFS2_FLAT_INCLUDES -DO2DLM_FLAT_INCLUDES \
	  -DO2CB_FLAT_INCLUDES -DHAVE_CMAN -DVERSION=\"$(VERSION)\"

UNINST_HFILES = ocfs2_controld.h

DAEMON_CFILES = main.c cman.c cpg.c mount.c ckpt.c
TEST_CFILES = test_client.c

DAEMON_OBJS = $(subst .c,.o,$(DAEMON_CFILES))
TEST_OBJS = $(subst .c,.o,$(TEST_CFILES) $(PROTO_CFILES))
MANS =

DIST_FILES =				\
	$(DAEMON_CFILES)		\
	$(TEST_CFILES)			\
	$(UNINST_HFILES)		\
	$(addsuffix .in,$(MANS))

ocfs2_controld.cman: $(DAEMON_OBJS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(OPENAIS_LIBS) -lcman

test_client: $(TEST_OBJS) $(LIBO2CB_DEPS) $(LIBOCFS2_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== tunefs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

sbindir = $(root_sbindir)
SBIN_PROGRAMS = tunefs.ocfs2

INCLUDES = -I$(TOPDIR)/include -I.
INCLUDES += $(GLIB_CFLAGS)
DEFINES = -DVERSION=\"$(VERSION)\"

MANS = tunefs.ocfs2.8

CFILES =		\
      tunefs.c		\
	query.c		\
	remove_slot.c	\
	sparse_file.c	\
	features.c	\
	resize.c	\
	format_slotmap.c

HFILES = tunefs.h

OBJS = $(subst .c,.o,$(CFILES))

DIST_FILES = $(CFILES) $(HFILES) tunefs.ocfs2.8.in

tunefs.ocfs2: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== vendor/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

SUBDIRS = common rhel5 sles10 rhel4 sles9 fc7 fc8

include $(TOPDIR)/Postamble.make

=== include/ocfs2/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

HFILES_GEN = ocfs2_err.h

all: $(HFILES_GEN)

HFILES = ocfs2.h jbd.h bitops.h byteorder.h kernel-rbtree.h image.h

HEADERS_SUBDIR = ocfs2
HEADERS = $(HFILES) $(HFILES_GEN)

ocfs2_err.h: $(TOPDIR)/libocfs2/ocfs2_err.h
	cp $< $@

$(TOPDIR)/libocfs2/ocfs2_err.h:
	make -C $(TOPDIR)/libocfs2 ocfs2_err.h

DIST_FILES = $(HFILES)

CLEAN_RULES = clean-err

clean-err:
	rm -f ocfs2_err.h

include $(TOPDIR)/Postamble.make

=== vendor/common/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

SCRIPT_SH = o2cb.init.sh
SCRIPTS = $(patsubst %.sh,%,$(SCRIPT_SH))

# Depend on the substitution values
$(SCRIPTS): $(TOPDIR)/Config.make

$(patsubst %.sh,%,$(SCRIPT_SH)) : % : %.sh
	rm -f $@ $@+
	sed -e 's/@@VERSION@@/$(VERSION)/g' $@.sh >$@+
	chmod +x $@+
	mv $@+ $@

ALL_RULES = $(SCRIPTS)

DIST_FILES =					\
	$(SCRIPT_SH)				\
	o2cb.sysconfig				\
	ocfs2.init				\
	ocfs2-tools.spec-generic.in		\
	Vendor.make

include $(TOPDIR)/Postamble.make

## ocfs2-tools 1.4.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 COMPILE_PY = 1
 endif
 
-SUBDIRS = include libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image listuuid sizetest extras patches
+SUBDIRS = include libtools-internal libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image listuuid sizetest extras patches
 
 ifdef BUILD_OCFS2CONSOLE
 SUBDIRS += ocfs2console

=== fsck.ocfs2/Makefile ===
--- 
+++ 
@@ -29,10 +29,13 @@
 		pass3.c 	\
 		pass4.c 	\
 		problem.c 	\
+		slot_recovery.c \
 		strings.c 	\
-		util.c
+		util.c		\
+		xattr.c
 
 HFILES = 	include/fsck.h		\
+		include/xattr.h		\
 		include/dirblocks.h	\
 		include/dirparents.h	\
 		include/extent.h	\
@@ -44,6 +47,7 @@
 		include/pass3.h		\
 		include/pass4.h		\
 		include/problem.h	\
+		include/slot_recovery.h	\
 		include/strings.h	\
 		include/util.h

=== libocfs2/Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	alloc.c		\
 	bitmap.c	\
 	bitops.c	\
+	blockcheck.c	\
 	cached_inode.c	\
 	chain.c		\
 	chainalloc.c	\
@@ -63,7 +64,6 @@
 	memory.c	\
 	mkjournal.c	\
 	namei.c		\
-	newdir.c	\
 	openfs.c	\
 	slot_map.c	\
 	sysfile.c	\
@@ -73,10 +73,13 @@
 	lockid.c	\
 	backup_super.c	\
 	feature_string.c\
-	image.c
+	image.c		\
+	xattr.c
 
 HFILES =		\
 	bitmap.h	\
+	blockcheck.h	\
+	crc32table.h	\
 	dir_iterate.h	\
 	dir_util.h	\
 	dlm.h		\

## ocfs2-tools 1.4.3

=== libocfs2/Makefile ===
--- 
+++ 
@@ -82,7 +82,6 @@
 	crc32table.h	\
 	dir_iterate.h	\
 	dir_util.h	\
-	dlm.h		\
 	extent_map.h
 
 HFILES_GEN = ocfs2_err.h

=== tunefs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

LIBTOOLS_INTERNAL_LIBS = -L$(TOPDIR)/libtools-internal -ltools-internal
LIBTOOLS_INTERNAL_DEPS = $(TOPDIR)/libtools-internal/libtools-internal.a

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

UNINST_LIBRARIES = libocfs2ne.a

OCFS2NE_FEATURES =			\
	feature_backup_super		\
	feature_extended_slotmap	\
	feature_inline_data		\
	feature_local			\
	feature_metaecc			\
	feature_sparse_files		\
	feature_unwritten_extents	\
	feature_xattr

OCFS2NE_OPERATIONS =			\
	op_cloned_volume		\
	op_features			\
	op_list_sparse_files		\
	op_query			\
	op_reset_uuid			\
	op_resize_volume		\
	op_set_label			\
	op_set_journal_size		\
	op_set_slot_count		\
	op_update_cluster_stack

sbindir = $(root_sbindir)
SBIN_PROGRAMS = tunefs.ocfs2

INCLUDES = -I$(TOPDIR)/include -I.
DEFINES = -DVERSION=\"$(VERSION)\"

MANS = tunefs.ocfs2.8

ifneq ($(OCFS2_DEBUG_EXE),)
DEBUG_EXE_FILES = $(shell awk '/DEBUG_EXE/{if (k[FILENAME] == 0) {print FILENAME; k[FILENAME] = 1;}}' $(CFILES))
DEBUG_EXE_PROGRAMS = $(addprefix debug_,$(subst .c,,$(DEBUG_EXE_FILES)))

.SECONDARY:

UNINST_PROGRAMS += $(filter-out debug_op_features,$(DEBUG_EXE_PROGRAMS))

debug_%.o : %.c
	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) $(CPPFLAGS) $(LOCAL_CPPFLAGS) \
		$(INCLUDES) $(DEFINES) \
		-DDEBUG_EXE -o $@ -c $<

debug_op_features: debug_op_features.o $(OCFS2NE_FEATURE_OBJS) libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS)

debug_%: debug_%.o libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS)
endif

LIBOCFS2NE_CFILES = libocfs2ne.c
HFILES_GEN = o2ne_err.h

o2ne_err.c o2ne_err.h: o2ne_err.et
	compile_et o2ne_err.et

OCFS2NE_OPERATION_CFILES = $(patsubst %,%.c,$(OCFS2NE_OPERATIONS))
OCFS2NE_FEATURE_CFILES = $(patsubst %,%.c,$(OCFS2NE_FEATURES))
OCFS2NE_CFILES =			\
	ocfs2ne.c			\
	$(OCFS2NE_OPERATION_CFILES)	\
	$(OCFS2NE_FEATURE_CFILES)

CFILES = $(LIBOCFS2NE_CFILES) $(OCFS2NE_CFILES)
HFILES = libocfs2ne.h

LIBOCFS2NE_OBJS = $(subst .c,.o,$(LIBOCFS2NE_CFILES)) o2ne_err.o
OCFS2NE_OBJS = $(subst .c,.o,$(OCFS2NE_CFILES))

$(LIBOCFS2NE_OBJS): $(HFILES_GEN)
$(OCFS2NE_OBJS): $(HFILES_GEN)

DIST_FILES = $(CFILES) $(HFILES) tunefs.ocfs2.8.in o2ne_err.et

libocfs2ne.a: $(LIBOCFS2NE_OBJS)
	rm -f $@
	$(AR) r $@ $^
	$(RANLIB) $@

ocfs2ne: $(OCFS2NE_OBJS) libocfs2ne.a $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS) $(LIBTOOLS_INTERNAL_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(UUID_LIBS) $(LIBO2DLM_LIBS) \
		$(LIBO2CB_LIBS) $(LIBTOOLS_INTERNAL_LIBS) $(COM_ERR_LIBS)

tunefs.ocfs2: ocfs2ne
	ln -f ocfs2ne tunefs.ocfs2

CLEAN_RULES = clean-err

clean-err:
	rm -f o2ne_err.c o2ne_err.h

include $(TOPDIR)/Postamble.make

## ocfs2-tools 1.4.4

=== fsck.ocfs2/Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 sbindir = $(root_sbindir)
 SBIN_PROGRAMS = fsck.ocfs2
+
+DEFINES += -DVERSION=\"$(VERSION)\"
 
 INCLUDES = -I$(TOPDIR)/include -Iinclude
 LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
@@ -25,6 +27,7 @@
 		journal.c 	\
 		pass0.c 	\
 		pass1.c 	\
+		pass1b.c 	\
 		pass2.c 	\
 		pass3.c 	\
 		pass4.c 	\
@@ -43,6 +46,7 @@
 		include/journal.h	\
 		include/pass0.h		\
 		include/pass1.h		\
+		include/pass1b.h	\
 		include/pass2.h		\
 		include/pass3.h		\
 		include/pass4.h		\

=== fswreck/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

DEFINES = -DG_DISABLE_DEPRECATED -DLINUX
DEFINES += -DVERSION=\"$(VERSION)\"

INCLUDES = -I$(TOPDIR)/include -Iinclude
INCLUDES += $(GLIB_CFLAGS)

UNINST_PROGRAMS = fswreck

CFILES = main.c corrupt.c chain.c extent.c group.c inode.c local_alloc.c truncate_log.c special.c symlink.c dir.c journal.c

HFILES = 			\
	include/chain.h		\
	include/dir.h		\
	include/fsck_type.h	\
	include/inode.h		\
	include/local_alloc.h	\
	include/special.h	\
	include/truncate_log.h	\
	include/corrupt.h	\
	include/extent.h	\
	include/group.h		\
	include/journal.h	\
	include/main.h		\
	include/symlink.h

DIST_FILES = $(CFILES) $(HFILES)
DIST_RULES = dist-subdircreate

OBJS = $(subst .c,.o,$(CFILES))

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBOCFS2_DEPS = $(TOPDIR)/libocfs2/libocfs2.a

LIBO2DLM_LIBS = -L$(TOPDIR)/libo2dlm -lo2dlm $(DL_LIBS)
LIBO2DLM_DEPS = $(TOPDIR)/libo2dlm/libo2dlm.a

LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb
LIBO2CB_DEPS = $(TOPDIR)/libo2cb/libo2cb.a

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

fswreck: $(OBJS) $(LIBOCFS2_DEPS) $(LIBO2DLM_DEPS) $(LIBO2CB_DEPS)
	$(LINK) $(LIBOCFS2_LIBS) $(LIBO2DLM_LIBS) $(LIBO2CB_LIBS) $(GLIB_LIBS) $(COM_ERR_LIBS)

include $(TOPDIR)/Postamble.make

=== include/ocfs2-kernel/Makefile ===
TOPDIR = ../..

include $(TOPDIR)/Preamble.make

HEADERS_SUBDIR = ocfs2-kernel
HEADERS =			\
	kernel-list.h		\
	ocfs1_fs_compat.h	\
	ocfs2_fs.h		\
	ocfs2_lockid.h		\
	sparse_endian_types.h

DIST_FILES = $(HEADERS)

include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.4.4-3) unstable; urgency=low

  * Move ocfs2_controld.(cman|pcmk) to /usr/sbin (Closes: #587284).
  * Install /lib/udev/rules.d/51-ocfs2.rules (Closes: #587285).
  * Make ocfs2-tools-cman and ocfs2-tools-pacemaker depend on libdlm3, as
    libdlm_lt.so.3 is needed for userspace cluster stacks (Closes: #587287).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 28 Jun 2010 19:22:53 +0200

ocfs2-tools (1.4.4-2) unstable; urgency=low

  * Add Build-Depends on libxml2-dev due to #586787.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sat, 26 Jun 2010 09:19:07 +0200

ocfs2-tools (1.4.4-1) unstable; urgency=low

  * New upstream release (Closes: #586784).
  * Provide pacemaker support in ocfs2-tools-pacemaker (Closes: #586778).
  * Provide cman support in ocfs2-tools-cman.
  * Improve init scripts:
    - ocfs2: add $local_fs to Required-Start and Required-Stop.
    - o2cb, ocfs2: set Default-Start to S
    - o2cb, ocfs2: set Default-Stop to 0 6
    - o2cb: start before mountnfs.sh (Closes: #457803).
    - silence lintian init.d-script-possible-missing-stop warnings.
  * Add Build-Depends on autotools-dev to update config.guess and config.sub.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update Standards-Version to 3.8.4.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 24 Jun 2010 12:21:13 +0200

ocfs2-tools (1.4.3-2) unstable; urgency=low

  [ Jeremy Lainé ]
  * Make ocfs2-tools depend on psmisc. Closes: #574141
  * Fix FTBFS with gcc-4.5. Closes: #565100
  * Update Italian debconf template (Vincenzo Campanella). Closes: #575096

  [ Christian Perrier ]
  * Fix typo in debconf templates. Closes: #554894.
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #556137, #574681
    - Vietnamese (Clytie Siddall).  Closes: #574077
    - Portuguese (Pedro Ribeiro).  Closes: #574866

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 24 Mar 2010 07:27:24 +0100

ocfs2-tools (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Replace libreadline-dev Build-Depends by libreadline5-dev
    (Closes: #553819).
  * Update to Standards-Version 3.8.3.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 05 Nov 2009 07:59:29 +0100

ocfs2-tools (1.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #535471).
  * Drop patch for limits.h, included upstream.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 06 Jul 2009 07:26:30 +0200

ocfs2-tools (1.4.1-2) unstable; urgency=low

  * Add ${misc:Depends} to ocfs2-tools-dev and ocfs2console.
  * Add patch to fix FTBS by including limits.h (Closes: #516265).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 23 Feb 2009 07:54:31 +0100

ocfs2-tools (1.4.1-1) unstable; urgency=medium

  * Take over maintainership, add Frederik Schüler to Uploaders.
  * New upstream release, fixes RC bug (Closes: #430378, #501151).
  * Acknowledge NMU (Closes: #428949).
  * Update default timeouts in templates and translation files.
  * Remove all patches as they have been merged upstream.
  * Do not install debian/mount.ocfs2.8, use upstream manpage.
  * Remove unused ocfs2console.manpages and ocfs2-tools.manpages.
  * Add o2image and its manpage to ocfs2-tools package.
  * Add package ocfs2-tools-dev to include development files.
  * Improve README.Debian with some setup instructions.
  * Create the /etc/ocfs2 directory.
  * Switch to CDBS.
  * Update Standards-Version to 3.8.0.
  * Remove obsolete debian/NEWS and debian/TODO files.
  * Add Homepage, Vcs-Svn and Vcs-Browser fields to debian/control.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 21 Nov 2008 17:58:51 +0100

ocfs2-tools (1.2.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues
  * Debconf translations:
    - Brazilian Portuguese. Closes: #485614
    - Swedish. Closes: #492257

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Sep 2008 09:15:00 +0200

ocfs2-tools (1.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues and an RC bug.
  * Fix FTBFS by commenting asm/page.h in mount.ocfs2/mount.ocfs2.h
    (debian/patches/200_ftbfs)
  * Debconf translations:
    - Dutch. Closes: #463445
    - German. Closes: #475317
    - Galician. Closes: #484151
    - Portuguese. Closes: #484155
    - Basque. Closes: #484179
    - Finnish. Closes: #484227

 -- Christian Perrier <bubulle@debian.org>  Mon, 02 Jun 2008 07:39:23 +0200

=== debian/control ===
Source: ocfs2-tools
Section: admin
Priority: optional
Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Uploaders: Frederik Schüler <fs@debian.org>
Standards-Version: 3.8.4
Build-Depends: cdbs, debhelper (>= 7), po-debconf, autotools-dev, python-support (>= 0.4), comerr-dev, uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3), libblkid-dev (>= 1.36), libbz2-dev, libcluster-glue-dev, libcman-dev, libdevmapper-dev, libdlm-dev, libdlmcontrol-dev, libopenais-dev, libxml2-dev, pacemaker-dev, python-dev, python-gtk2
Homepage: http://oss.oracle.com/projects/ocfs2-tools/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/ocfs2-tools/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ocfs2-tools/trunk/

Package: ocfs2-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, psmisc
Section: admin
Suggests: ocfs2console, ocfs2-tools-cman, ocfs2-tools-pacemaker
Description: tools for managing OCFS2 cluster filesystems
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the tools to manage the OCFS2 filesystem, including mkfs,
 tunefs, fsck, debugfs, and the utilities to control the O2CB clustering stack.

Package: ocfs2-tools-cman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdlm3, ocfs2-tools (= ${binary:Version})
Section: admin
Description: tools for managing OCFS2 cluster filesystems - cman support
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs support for the cman cluster stack.

Package: ocfs2-tools-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocfs2-tools (= ${binary:Version})
Section: devel
Description: tools for managing OCFS2 cluster filesystems - development files
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs the development headers and static libraries.

Package: ocfs2-tools-pacemaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdlm3, ocfs2-tools (= ${binary:Version})
Section: admin
Description: tools for managing OCFS2 cluster filesystems - pacemaker support
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 This package installs support for the pacemaker cluster stack.

Package: ocfs2console
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ocfs2-tools (= ${binary:Version}), python-gtk2
Section: admin
Description: tools for managing OCFS2 cluster filesystems - graphical interface
 OCFS2 is a general purpose cluster filesystem. Unlike the initial release
 of OCFS, which supported only Oracle database workloads, OCFS2 provides
 full support as a general purpose filesystem.  OCFS2 is a complete rewrite
 of the previous version, designed to work as a seamless addition to the
 Linux kernel.
 .
 A GUI frontend for managing OCFS2 volumes on the system. One can mount
 and unmount volumes, format, view overview information and individual
 files, and view and modify the current cluster configuration.

## ocfs2-tools 1.6.3

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 COMPILE_PY = 1
 endif
 
-SUBDIRS = include libtools-internal libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image listuuid sizetest extras patches
+SUBDIRS = include libtools-internal libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image listuuid sizetest extras fswreck patches
 
 ifdef BUILD_OCFS2CONSOLE
 SUBDIRS += ocfs2console

=== debugfs.ocfs2/Makefile ===
TOPDIR = ..

include $(TOPDIR)/Preamble.make

sbindir = $(root_sbindir)
SBIN_PROGRAMS = debugfs.ocfs2

DEFINES = -DG_DISABLE_DEPRECATED -DLINUX -DDEBUGOCFS -DDEBUG
DEFINES += -DVERSION=\"$(VERSION)\"

INCLUDES = -I$(TOPDIR)/include -Iinclude
INCLUDES += $(GLIB_CFLAGS)

CFILES = main.c commands.c dump.c utils.c journal.c find_block_inode.c \
	find_inode_paths.c dump_fs_locks.c dump_dlm_locks.c

HFILES =			\
	include/main.h			\
	include/commands.h		\
	include/dump.h			\
	include/utils.h			\
	include/journal.h		\
	include/find_block_inode.h	\
	include/find_inode_paths.h	\
	include/ocfs2_internals.h	\
	include/dump_fs_locks.h		\
	include/dump_dlm_locks.h

OBJS = $(subst .c,.o,$(CFILES))

LIBOCFS2_LIBS = -L$(TOPDIR)/libocfs2 -locfs2
LIBO2CB_LIBS = -L$(TOPDIR)/libo2cb -lo2cb

MANS = debugfs.ocfs2.8

DIST_FILES = $(CFILES) $(HFILES) README debugfs.ocfs2.8.in

DIST_RULES = dist-subdircreate

dist-subdircreate:
	$(TOPDIR)/mkinstalldirs $(DIST_DIR)/include

debugfs.ocfs2: $(OBJS)
	$(LINK) $(GLIB_LIBS) $(LIBOCFS2_LIBS) $(LIBO2CB_LIBS) $(COM_ERR_LIBS) $(READLINE_LIBS) $(NCURSES_LIBS)

include $(TOPDIR)/Postamble.make

=== vendor/common/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	o2cb.sysconfig				\
 	ocfs2.init				\
 	ocfs2-tools.spec-generic.in		\
+	51-ocfs2.rules				\
 	Vendor.make
 
 include $(TOPDIR)/Postamble.make

=== debian/changelog ===
ocfs2-tools (1.6.3-4ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:21:20 +0000

ocfs2-tools (1.6.3-4) unstable; urgency=low

  * Fix FTBS with -Werror=format-security (Closes: #644064).
  * Update Standards-Version to 3.9.2 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 17 Oct 2011 08:29:00 +0200

ocfs2-tools (1.6.3-3) unstable; urgency=low

  * Replace Build-Depends on libopenais-dev by openais-dev (Closes: #640581).
  * Add patch to define missing PCMK_SERVICE_ID (from Ubuntu).
  * Fix o2cb and ocfs2 shutdown order (Closes: #638302, #516893).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 20 Sep 2011 15:55:56 +0200

ocfs2-tools (1.6.3-2) unstable; urgency=low

  * Fix FTBFS with ld --no-add-needed and --as-needed (Closes: #607057).
  * Update Brazilian Portuguese translations (Closes: #619610).
  * Ignore the depreciation warning that importing popen2 raises, causing
    ocfs2console to exit (from Ubuntu).
  * Remove Build-Depends on cluster-glue-dev, see #608275.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 25 Mar 2011 16:53:58 +0100

ocfs2-tools (1.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #598014).
  * Remove patches applied upstream:
    - gcc45-ftbfs.patch
  * Add a Build-Depends on cluster-glue-dev, see #608275.
  * Remove Build-Depends on libcluster-glue-dev and libxml2-dev, see: #586787.
  * Update Standards-Version to 3.9.1 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Jan 2011 06:21:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
 Uploaders: Frederik Schüler <fs@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: cdbs, debhelper (>= 7), po-debconf, autotools-dev, python-support (>= 0.4), comerr-dev, uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3), libblkid-dev (>= 1.36), libbz2-dev, libcluster-glue-dev, libcman-dev, libdevmapper-dev, libdlm-dev, libdlmcontrol-dev, libopenais-dev, libxml2-dev, pacemaker-dev, python-dev, python-gtk2
+Standards-Version: 3.9.2
+Build-Depends: cdbs, debhelper (>= 7), po-debconf, autotools-dev, comerr-dev, uuid-dev, libncurses5-dev, libreadline-dev, libglib2.0-dev (>= 2.2.3), libblkid-dev (>= 1.36), libbz2-dev, libcman-dev, libdevmapper-dev, libdlm-dev, libdlmcontrol-dev, libxml2-dev, openais-dev, pacemaker-dev, python-dev (>= 2.6.6-3~), python-gtk2
 Homepage: http://oss.oracle.com/projects/ocfs2-tools/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/ocfs2-tools/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/ocfs2-tools/trunk/

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --disable-debug \
	--enable-dynamic-ctl \
	--enable-dynamic-fsck
DEB_INSTALL_EXAMPLES_ocfs2-tools = documentation/samples/cluster.conf

common-install-arch::
	cp -f vendor/common/o2cb.init debian/ocfs2-tools.o2cb.init
	cp -f vendor/common/ocfs2.init debian/ocfs2-tools.ocfs2.init

binary-install/ocfs2-tools::
	dh_installinit -p$(cdbs_curpkg) --name=o2cb --no-restart-on-upgrade -- start 41 S . stop 6 0 6 . 
	dh_installinit -p$(cdbs_curpkg) --name=ocfs2 --no-restart-on-upgrade -- start 65 S . stop 2 0 6 .

binary-install/ocfs2console::
	dh_python2 -p$(cdbs_curpkg)

clean::
	rm -f debian/ocfs2-tools.o2cb.*
	rm -f vendor/common/ocfs2-tools.spec-generic
	rm -f ocfs2console/ocfs2interface/*.so ocfs2console/ocfs2interface/confdefs.py
